SoftwareInstallation (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.SoftwareInstallation interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app
Interface SoftwareInstallation

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, Version

All Known Subinterfaces:
  MQInstallation

    public interface SoftwareInstallation

extends LogicalElement, Version, ConfigurationItem

SoftwareInstallation - The SoftwareInstallation class represents the installation of software onto an execution environment. This class is just supposed to show the association of a component with the environment where it is installed. So here is the easy example. The product is "Microsoft Office". It has four modules (Word, Excel, Powerpoint, Access) that can be installed optionally and separately. When the modules or the product is installed on my machine (goterps.raleigh.ibm.com), there is a software installation ... of either Microsoft Office on goterps or Word, Excel, Powerpoint, and Access on goterps. Note - it is likely better to show each module, since Powerpoint may not have been installed. Each of the modules has executables that can be run once the module is installed. Winword.exe, powerpnt.exe, outlook.exe, excel.exe, and msaccess.exe are the component (note that to uniquely name these, you need to include the full pathname on the component.

Naming Rules:
  0="parent,manufacturerName,productName,installedLocation" 1="parent,manufacturerName,productId,installedLocation" 2="parent,-installedLocation,manufacturerName,productName" 3="managedSystemName"
Persistable:
  true
Table Name:
  SOFTINSTALL
Display Name:
  manufacturerName,productName,versionString

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getInstalledLocation()`
`java.lang.String` | `getManufacturerName()`
`OperatingSystem` | `getParent()`
`java.lang.String` | `getProductId()`
`java.lang.String` | `getProductName()`
`Service` | `getService()`
`boolean` | `hasInstalledLocation()`
`boolean` | `hasManufacturerName()`
`boolean` | `hasParent()`
`boolean` | `hasProductId()`
`boolean` | `hasProductName()`
`boolean` | `hasService()`
`void` | `setInstalledLocation(java.lang.String x)`
`void` | `setManufacturerName(java.lang.String x)`
`void` | `setParent(OperatingSystem x)`
`void` | `setProductId(java.lang.String x)`
`void` | `setProductName(java.lang.String x)`
`void` | `setService(Service x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.core.Version
`getBuildLevel, getLevel, getMajorVersion, getModifier, getRelease, getVersionString, hasBuildLevel, hasLevel, hasMajorVersion, hasModifier, hasRelease, hasVersionString, setBuildLevel, setLevel, setMajorVersion, setModifier, setRelease, setVersionString`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getProductId

    java.lang.String getProductId()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProductId

    void setProductId(java.lang.String x)

### hasProductId

    boolean hasProductId()

### getService

    Service getService()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Realizes" reverse="true"

### setService

    void setService(Service x)

### hasService

    boolean hasService()

### getManufacturerName

    java.lang.String getManufacturerName()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setManufacturerName

    void setManufacturerName(java.lang.String x)

### hasManufacturerName

    boolean hasManufacturerName()

### getParent

    OperatingSystem getParent()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.InstalledOn" reverse="false"

### setParent

    void setParent(OperatingSystem x)

### hasParent

    boolean hasParent()

### getInstalledLocation

    java.lang.String getInstalledLocation()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setInstalledLocation

    void setInstalledLocation(java.lang.String x)

### hasInstalledLocation

    boolean hasInstalledLocation()

### getProductName

    java.lang.String getProductName()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProductName

    void setProductName(java.lang.String x)

### hasProductName

    boolean hasProductName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD